%global rpm49 %(rpm --version | perl -p -e 's/^.* (\\d+)\\.(\\d+).*/sprintf("%d.%03d",$1,$2) ge 4.009 ? 1 : 0/e' 2>/dev/null || echo 0)

%bcond_with perl_Sub_Exporter_enables_extra_test

Name:           perl-Sub-Exporter
Version:        0.987
Release:        18
Summary:        Sophisticated exporter for custom-built routines
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Sub-Exporter
Source0:        http://cpan.metacpan.org/authors/id/R/RJ/RJBS/Sub-Exporter-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  coreutils findutils make perl-generators perl-ExtUtils-MakeMaker >= 6.30
BuildRequires:  perl-Data-OptList >= 0.1 perl-Package-Generator perl-Params-Util >= 0.14
BuildRequires:  perl-interpreter perl-Exporter perl-PathTools perl-IO perl-Test-Simple >= 0.94
BuildRequires:  perl-Carp perl-Sub-Install >= 0.92
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version)) perl-Package-Generator

%global our_docdir %{?_pkgdocdir}%{!?_pkgdocdir:%{_docdir}/%{name}-%{version}}
%global __provides_exclude_from ^%{our_docdir}/
%global __requires_exclude_from ^%{our_docdir}/

%description
A sophisticated, customizable code exporter for Perl.

%package_help

%prep
%setup -q -n Sub-Exporter-%{version}

find t/ -type f -exec \
    perl -MExtUtils::MakeMaker -e 'ExtUtils::MM_Unix->fixin(qw{{}})' \;

%if ! %{rpm49}
%global provfilt /bin/sh -c "%{__perl_provides} | grep -Ev '^perl[(]Test::SubExporter.*[)]'"
%global __perl_provides %{provfilt}
%global reqfilt /bin/sh -c "%{__perl_requires} | grep -Ev '^perl[(](base|Test::SubExporter.*)[)]'"
%global __perl_requires %{reqfilt}
%endif

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} -c %{buildroot}

%check
make test

%files
%defattr(-,root,root)
%doc README
%doc %{perl_vendorlib}/Sub/Exporter/Cookbook.pod
%doc %{perl_vendorlib}/Sub/Exporter/Tutorial.pod
%license LICENSE
%dir %{perl_vendorlib}/Sub/
%{perl_vendorlib}/Sub/Exporter.pm
%{perl_vendorlib}/Sub/Exporter/Util.pm

%files help
%defattr(-,root,root)
%doc Changes t/
%{_mandir}/man3/*

%changelog
* Wed Dec 4 2019 openEuler Buildteam <buildteam@openeuler.org> - 0.987-18
- Package init
